<?php
require('fpdf/fpdf.php');
include("../bd/sql_variables.php");

$db_conexion= mysql_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("No Disponible Servidor de Base de Datos"));
mysql_select_db("$sql_db");

$mes=$_GET['mes'];
$anno=$_GET['anno'];
$idtp=$_GET['idtp'];
$idj=$_GET['idj'];
$ids=$_GET['ids'];

$arraymes = array();
$arraymes[] = array('idmes'=>'1','mes'=>'ENERO');
$arraymes[] = array('idmes'=>'2','mes'=>'FEBRERO');
$arraymes[] = array('idmes'=>'3','mes'=>'MARZO');
$arraymes[] = array('idmes'=>'4','mes'=>'ABRIL');
$arraymes[] = array('idmes'=>'5','mes'=>'MAYO');
$arraymes[] = array('idmes'=>'6','mes'=>'JUNIO');
$arraymes[] = array('idmes'=>'7','mes'=>'JULIO');
$arraymes[] = array('idmes'=>'8','mes'=>'AGOSTO');
$arraymes[] = array('idmes'=>'9','mes'=>'SETIEMBRE');
$arraymes[] = array('idmes'=>'10','mes'=>'OCTUBRE');
$arraymes[] = array('idmes'=>'11','mes'=>'NOVIEMBRE');
$arraymes[] = array('idmes'=>'12','mes'=>'DICIEMBRE');

//nombre de la jefatura
$sqljefatura = "select j_desc as nom from tb_jefatura where j_id='$idj'";
$resultjefatura = mysql_query($sqljefatura);
while ($rowj= mysql_fetch_array($resultjefatura)){
$nomjefatura = $rowj['nom']; 
}

//nombre de servicio
$sqlserv = "select s_desc as nom from tb_servicio where j_id='$idj' and s_id='$ids'";
$resultserv = mysql_query($sqlserv);
while ($rows= mysql_fetch_array($resultserv)){
$nomservicio = $rows['nom']; 
}

//descripcion del tipo del personal
if($idtp!=0){
$sqltp = "select tp_desc as descp from tb_tipoperson where tp_id='$idtp'";
$resulttp = mysql_query($sqltp);
while ($rowtp= mysql_fetch_array($resulttp)){
$descpersonal = $rowtp['descp']; 
}
}else{
$descpersonal =""; 
}

//descripcion del tipo de contrato

if($idtp==0){
$desctipocont = " ";
}else{
$desctipocont = "( ".$descpersonal." )";
}

////////////////

class PDF extends FPDF
{

function ImprimirTablaSinColorTitulo($data,$x, $y, $h, $w,$alig,$dibuja)
	{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
	        $this->Cell($w,$h,$data,$dibuja,0,$alig,$dib);
	}

function ImprimirTablaHorario($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig,$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
}

function ImprimirTablaPersonal($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig[$j],$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

function ImprimirTablaFechas($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->MultiCell($w[$j],$h,$data[$j],1,$alig[$j],$dib);
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

}

///////////


$sumap=0;

$ini = 20;
$sumat = 260;
$alturaX = 25;
$ha = 5.9;
//$texto1 = $desctipocont;

$texto2 = "LISTADO DEL PERSONAL CON AUSENTISMO LABORAL EN EL MES DE ".$arraymes[$mes-1]['mes']." ".$anno;

$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
//$ini = $ini + $ha*0.8;
//$pdf->ImprimirTablaSinColorTitulo($texto1,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','TIPO PERSONAL','FECHA PROGRAMADO','HORA','TURNO','TIPO HORA');
						$wh= array($sumat*0.09,$sumat*0.22,$sumat*0.12,$sumat*0.12,$sumat*0.1,$sumat*0.08,$sumat*0.14);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C','C');
						$ini = $ini + $ha*1.5;
	
$nn=0;	

//pregunta si existe registro
$sqlaskpr = "SELECT * FROM tb_regfaltas where tp_id='$idtp' and uap_anno='$anno' and uap_mes='$mes' and f_idserva='$ids' and j_id='$idj'";
$resultaskp = mysql_query($sqlaskpr);
if(mysql_num_rows($resultaskp)!=0){
while($rowp= mysql_fetch_array($resultaskp)){
$codper = $rowp['ug_id'];

//buscar personal
$sqlper1="select a.ua_numplanilla as numplanilla, a.ug_id as cod, a.ua_codprog as codigo, CONCAT(a.ua_apepat,' ',a.ua_apemat,' ',a.ua_nom) as nombre, ";
$sqlper1= $sqlper1." b.ut_idserva as idsa from tb_usutrab b  inner join tb_usuasist a on a.ug_id= b.ug_id where b.j_id='$idj' ";
$sqlper1= $sqlper1." and b.tp_id='$idtp' and b.ut_idserva='$ids' and b.uap_anno='$anno' and b.uap_mes ='$mes' and b.ug_id='$codper'";
$resultper1 = mysql_query($sqlper1);
while ($row= mysql_fetch_array($resultper1)){
$numplanilla=$row['numplanilla'];
$codper=$row['cod'];
$codprog=$row['codigo'];
$nombre=$row['nombre'];
}
$nn = $nn  + 1;
if($nn>36){
$ini = 20;
$alturaX = 25;
$ha = 5.9;
//$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
//$ini = $ini + $ha*0.8;
//$pdf->ImprimirTablaSinColorTitulo($texto1,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','TIPO PERSONAL','FECHA PROGRAMADO','HORA','TURNO','TIPO HORA');
						$wh= array($sumat*0.09,$sumat*0.22,$sumat*0.12,$sumat*0.12,$sumat*0.1,$sumat*0.08,$sumat*0.14);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C','C');
						$ini = $ini + $ha*1.5;
						$nn=1;
}
//termina el if
$idh= $rowp['h_id'];
$sqlh ="SELECT concat(date_format(h_horaini,'%k:%i %p'),' - ',date_format(h_horafin,'%k:%i %p')) as hora, concat(h_horanum,'(',h_horaturn,')') as turno FROM tb_horario where h_id='$idh'";
$resulth = mysql_query($sqlh);
while ($rowh= mysql_fetch_array($resulth)){
$hora = $rowh['hora'];
$turno = $rowh['turno'];
}
if($rowp['f_dia']<10){
$dia= "0".$rowp['f_dia'];
}else{
$dia= $rowp['f_dia'];
}

if($rowp['uap_mes']<10){
$mesp= "0".$rowp['uap_mes'];
}else{
$mesp= $rowp['uap_mes'];
}

$fechareprog = $dia."/".$mesp."/".$rowp['uap_anno'];

$tipohr = $rowp['f_tipohora'];
if($tipohr==0){
$tphora = "HORA ORDINARIA";
}else{
$tphora = "HORA EXTRA";
}
$tipohr1 = $arridth[$i];

//imprimir salida
$whlist= array($sumat*0.09,$sumat*0.22,$sumat*0.12,$sumat*0.12,$sumat*0.1,$sumat*0.08,$sumat*0.14);
$arraylist = array($numplanilla,$nombre, $descpersonal, $fechareprog, $hora, $turno,$tphora);
$alinea = array('C','L','C','C','C','C','C');

$pdf->ImprimirTablaPersonal($arraylist,30, $ini, $ha, $whlist,$alinea);

$ini = $ini + $ha;

}}

$pdf->Output();

?>
